Bug 187206 - thunderbird -compose ... produces a wrong to-field
thunderbird -compose ... produces a wrong to-field
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
massRequestForReproduction
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-29 02:48 EST by Joachim Backes
Modified: 2018-04-11 06:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 13:05:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 421192 None None None Never

  None (edit)
Description Joachim Backes 2006-03-29 02:48:56 EST
Description of problem:

The usage of the -compose options in the thunderbird command fails if having
more than 1 recepient: if I enter user1@domain1,user2@domain, only user1@domain1
is taken for the TO-field, and using "user1@domain1 user2@domain" as recepient
produces a wrong target address.

The usage of the comma format inside of an open thunderbird composer window is OK.


Version-Release number of selected component (if applicable):
1.5

How reproducible:
Each time

Steps to Reproduce:
1.echo test|thunderbird -compose user1@dom1,user2@dom2 or
  echo test|thunderbird -compose "user1@dom1 user2@dom2"
2.The first form takes over only user1@dom2, and the second form produces 
  a syntactically wrong to address. 
3.
  
Actual results: See 2


Expected results:user1@dom1,user2@dom2 in the to-field


Additional info:--
Comment 1 Matěj Cepl 2007-05-17 11:59:55 EDT
If this issue turns out to still be reproduceable in the latest updates for this
Fedora Core release, please file a bug report in the Mozilla bugzilla located at
http://bugzilla.mozilla.org.

Once you've filed your bug report upstream, if you paste the new bug URL here,
Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 2 Joachim Backes 2007-05-21 02:13:33 EDT
Trying in FC6 with thunderbird-1.5.0.10:
========================================

thunderbird -compose user1@domain1,user2@domain2

takes only user1@domain1 as recipient in the to-field

thunderbird -compose user1@domain1 user2@domain2

takes both addresses for recipients
Comment 3 Matěj Cepl 2007-07-18 13:30:39 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Joachim Backes 2007-07-19 01:23:16 EDT
It's a F7 problem too: in this thunderbird version, the -compose options has no
effect (no to-field is set)
Comment 5 Matěj Cepl 2008-02-08 15:42:09 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 6 Matěj Cepl 2008-03-13 13:05:17 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=421192) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.